import { createRouter, createWebHistory } from "vue-router";
import Home from "../pages/Home";
import Login from "../pages/Login";
import LifeNo from "../pages/Life-no/index.vue";
import LifeNoDetail from "../pages/Life-no/life-no-detail.vue";
import UserDetail from "../pages/User/user-detail.vue";
import AddRole from "../pages/Role/add-role.vue";
import Certification from "../pages/Enterprise/Certification";
import Establish from "../pages/Enterprise/Establish";
import Audit from "../pages/Enterprise/Audit";



const routes = [
  {
    path: "/home",
    name: "Home",
    component: Home
  },
  {
    path: "/login",
    name: "Login",
    component: Login
  },
  {
    path: "/about",
    name: "About",
    component: () => import(/* webpackChunkName: "about" */ "@/pages/About")
  },

  // 企业认证管理
  {
    path: "/",
    name: "Home",
    component: Certification,
  },
  {
    path: '/enterprise/certification',
    name: 'Certification',
    component: Certification,
    // component: () => import(/* webpackChunkName: "enterprise" */ '@/pages/Enterprise/Certification')
  },
  {
    path: "/audit",
    name: "Audit",
    component: Audit
  },
  {
    path: "/establish",
    name: "Establish",
    component: Establish
  },
  //生活号管理
  {
    path: "/life-no/life",
    name: "LifeNo",
    component: LifeNo
  },
  {
    path: "/life-no/lifeNoDetail",
    name: "LifeNoDetail",
    component: LifeNoDetail
  },
  //用户管理
  {
    path: "/user/userDetail",
    name: "UserDetail",
    component: UserDetail
  },
  //角色管理
  {
    path: "/role/addRole",
    name: "AddRole",
    component: AddRole
  }
];

const router = createRouter({
  history: createWebHistory(),
  routes
});

export default router;
